DIR2OGG(1)

NAME
dir2ogg - Convert MP3, WAV, and M4A files to OGG format

SYNOPSIS
dir2ogg [ options ] path [path] ...

DESCRIPTION
dir2ogg converts MP3, M4A, WMA and WAV files to the open-source OGG format. dir2ogg is a python script that simply binds together mpg123, faad, and oggenc making it easier for the user to convert his/her music files. OGGs are about 15 to 20 percent smaller than MP3 files, with the same relative audio quality. dir2ogg can be called with the -d flag at the command line to convert any number of directories at once, or given MP3, M4A, WMA, and/or WAV filenames as arguments, dir2ogg will convert only those files. If converting WAV, M4A or WMA files with -d you must add the -w, -m or -W command line flags respectively. These flags are not neccesary unless using -d. Note that converting M4A files requires you to have faad installed, and converting WMA files requires mplayer.

Keep in mind that converting from MP3 or M4A to OGG is a conversion between two lossy formats. This is fine if you just want to free up some disk space, but if you're a hard-core audiophile you may be disappointed. I really can't notice a difference in quality with 'naked' ears myself.

  General Options

-h or --help
    print quick usage details to the screen.

-d or --directory
    convert all MP3 files in directory. WAV and M4A files will be converted if used with the -w and -m command line flags. This option is for compatibility purposes only and does not need to be specified anymore.

-r or --recursive
    like -d but descends recursively into directories.

-p or --preserve-wav
    preserve all WAV files. By default they are deleted.

-P or --no-pipe
    Do not use pipes to send data from the decoder to the encoder, use temporary wav files instead.

--delete-input
    Delete the input file after conversion

-v or --verbose
    increase dir2ogg's verbosity.

-Q or --quiet
    Do not display progress messages, except the name of the file which is currently converted. Some decoders provide no way to disable messages and thus may still display some.

  Conversion options

--convert-all
    Convert all supported audio files found in the directories given on the command-line to Ogg Vorbis.

-f or --convert-ape
    Convert all APE (Monkey's Audio) files found in the directories given on the command-line to Ogg Vorbis, using either ogg123 or flac or mplayer.

-f or --convert-flac
    Convert all FLAC (Free Lossless Audio Codec) files found in the directories given on the command-line to Ogg Vorbis, using ogg123 or flac or mplayer.

-m or --convert-m4a
    convert all M4A (MPEG-4 Audio) files found in the directories given on the command-line to Ogg Vorbis, using faad or mplayer. For decoding ALAC (Apple Lossless) files, 'alac-decoder' may be used.

-m or --convert-mpc
    convert all MPC (MusePack) files found in the directories given on the command-line to Ogg Vorbis, using mpcdec or mplayer.

-W or --convert-wma
    Convert all WMA (Windows Media Audio) files found in the directories given on the command-line to Ogg Vorbis, using mplayer.

-w or --convert-wav
    Convert all WAV files found in the directories given on the command-line to Ogg Vorbis.

-V or --convert-wv
    Convert all WV (WavPack) files found in the directories given on the command-line to Ogg Vorbis.

-n or --no-mp3
    ingore all MP3 files found in directories given on the command-line.

--(ape|flac|m4a|mp3|mpc|wma|wv)-decoder=COMMAND
    Set the decoder you want to use for one filetype, e.g.: --mp3-decoder=lame. Run dir2ogg --help to see the available decoders.

-qN or --quality=N
    OGG quality. N is a number between -1 and 10. Default is 3. Decimals are OK (ie: 3.7)

-t or --smart-mp3
    Try to use the same quality as the input file. MP3 input only!

EXIT CODES
dir2ogg exits with 0 on success, 1 for most errors, and 2 if conversion of one or more files failed (most likely due to an internal error).

SEE ALSO
mpg123(1), mplayer(1), oggenc(1)

BUGS
Enter you bug reports in Launchpad at https://bugs.launchpad.net/dir2ogg

AUTHORS
0.10 and newer:  Julian Andres Klode <jak@jak-linux.org>
0.9.3 and older: Darren Kirby <d@badcomputer.org>

CONTRIBUTORS
original wma support: Cameron Stone <camerons@cse.unsw.edu.au>
smart-mp3: Marek Palatinus <marek@palatinus.cz>